<?php
/**
 * Typography options
 *
 * @package Theme Palace
 * @subpackage Teach Kiddo Pro
 * @since Teach Kiddo Pro 1.0.0
 */

// Typography Section
$wp_customize->add_section( 'teach_kiddo_pro_section_typography',
	array(
		'title'      		=> esc_html__( 'Typography', 'teach-kiddo-pro' ),
		'priority'   		=> 600,
		'panel'      		=> 'teach_kiddo_pro_theme_options_panel',
	)
);

$wp_customize->add_setting( 'teach_kiddo_pro_theme_options[theme_site_title_typography]',
	array(
		'sanitize_callback'	=> 'teach_kiddo_pro_sanitize_select',
	)
);
$wp_customize->add_control( 'teach_kiddo_pro_theme_options[theme_site_title_typography]',
    array(
		'label'       		=> esc_html__( 'Choose Site Title Typography', 'teach-kiddo-pro' ),
		'section'     		=> 'teach_kiddo_pro_section_typography',
		'settings'    		=> 'teach_kiddo_pro_theme_options[theme_site_title_typography]',
		'type'		  		=> 'select',
		'choices'			=> teach_kiddo_pro_typography_options(),
    )
);

$wp_customize->add_setting( 'teach_kiddo_pro_theme_options[theme_site_description_typography]',
	array(
		'sanitize_callback'	=> 'teach_kiddo_pro_sanitize_select',
	)
);
$wp_customize->add_control( 'teach_kiddo_pro_theme_options[theme_site_description_typography]',
    array(
		'label'       		=> esc_html__( 'Choose Site Description Typography', 'teach-kiddo-pro' ),
		'section'     		=> 'teach_kiddo_pro_section_typography',
		'settings'    		=> 'teach_kiddo_pro_theme_options[theme_site_description_typography]',
		'type'		  		=> 'select',
		'choices'			=> teach_kiddo_pro_typography_options(),
    )
);

$wp_customize->add_setting( 'teach_kiddo_pro_theme_options[theme_menu_typography]',
	array(
		'sanitize_callback'	=> 'teach_kiddo_pro_sanitize_select',
	)
);
$wp_customize->add_control( 'teach_kiddo_pro_theme_options[theme_menu_typography]',
    array(
		'label'       		=> esc_html__( 'Choose Menu Typography', 'teach-kiddo-pro' ),
		'section'     		=> 'teach_kiddo_pro_section_typography',
		'settings'    		=> 'teach_kiddo_pro_theme_options[theme_menu_typography]',
		'type'		  		=> 'select',
		'choices'			=> teach_kiddo_pro_typography_options(),
    )
);

$wp_customize->add_setting( 'teach_kiddo_pro_theme_options[theme_head_typography]',
	array(
		'sanitize_callback'	=> 'teach_kiddo_pro_sanitize_select',
	)
);

$wp_customize->add_control( 'teach_kiddo_pro_theme_options[theme_head_typography]',
    array(
		'label'       		=> esc_html__( 'Choose Heading Typography', 'teach-kiddo-pro' ),
		'section'     		=> 'teach_kiddo_pro_section_typography',
		'settings'    		=> 'teach_kiddo_pro_theme_options[theme_head_typography]',
		'type'		  		=> 'select',
		'choices'			=> teach_kiddo_pro_typography_options(),
    )
);

$wp_customize->add_setting( 'teach_kiddo_pro_theme_options[theme_sub_head_typography]',
	array(
		'sanitize_callback'	=> 'teach_kiddo_pro_sanitize_select',
	)
);

$wp_customize->add_control( 'teach_kiddo_pro_theme_options[theme_sub_head_typography]',
    array(
		'label'       		=> esc_html__( 'Choose Sub Heading Typography', 'teach-kiddo-pro' ),
		'section'     		=> 'teach_kiddo_pro_section_typography',
		'settings'    		=> 'teach_kiddo_pro_theme_options[theme_sub_head_typography]',
		'type'		  		=> 'select',
		'choices'			=> teach_kiddo_pro_typography_options(),
    )
);

$wp_customize->add_setting( 'teach_kiddo_pro_theme_options[theme_body_typography]',
	array(
		'sanitize_callback'	=> 'teach_kiddo_pro_sanitize_select',
	)
);
$wp_customize->add_control( 'teach_kiddo_pro_theme_options[theme_body_typography]',
    array(
		'label'       		=> esc_html__( 'Choose Body Typography', 'teach-kiddo-pro' ),
		'section'     		=> 'teach_kiddo_pro_section_typography',
		'settings'    		=> 'teach_kiddo_pro_theme_options[theme_body_typography]',
		'type'		  		=> 'select',
		'choices'			=> teach_kiddo_pro_typography_options(),
    )
);

$wp_customize->add_setting( 'teach_kiddo_pro_theme_options[theme_btn_label_typography]',
	array(
		'sanitize_callback'	=> 'teach_kiddo_pro_sanitize_select',
	)
);
$wp_customize->add_control( 'teach_kiddo_pro_theme_options[theme_btn_label_typography]',
    array(
		'label'       		=> esc_html__( 'Choose Button Label Typography', 'teach-kiddo-pro' ),
		'section'     		=> 'teach_kiddo_pro_section_typography',
		'settings'    		=> 'teach_kiddo_pro_theme_options[theme_btn_label_typography]',
		'type'		  		=> 'select',
		'choices'			=> teach_kiddo_pro_typography_options(),
    )
);